Get account

Get account. See the OpenAPI-defined parameters, request body, and responses below.

GET /Account/{id}

Get account. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint retorna os detalhes de uma conta especificada pelo identificador.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
idpathinteger · int32Yes——

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/Account/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Sucesso ao retornar a contaapplication/json · AccountDto

Example response (200):

{
  "id": 0,
  "name": "string",
  "legalName": "string",
  "site": "string",
  "linkedInUrl": "string",
  "email": "string",
  "taxId": "string",
  "enabled": true,
  "customerTenantId": 0
}

Data models

AccountDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
legalNamestringNo—nullable
sitestringNo—nullable
linkedInUrlstringNo—nullable
emailstringNo—nullable
taxIdstringNo—nullable
enabledbooleanNo——
customerTenantIdinteger · int32No——